## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate version-sync

Name:           rust-version-sync
Version:        0.9.5
Release:        %autorelease
Summary:        Simple crate for ensuring that version numbers in README files are updated

License:        MIT
URL:            https://crates.io/crates/version-sync
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump pulldown-cmark dependency from 0.9 to 0.11:
#   https://github.com/mgeisler/version-sync/commit/cc74ef5
# * bump toml dependency from 0.7.8 to 0.8:
#   https://github.com/mgeisler/version-sync/commit/63ae792
Patch:          version-sync-fix-metadata.diff
Patch:          0001-port-from-pulldown-cmark-0.9-to-0.11.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Crate for ensuring that version numbers in README files and other files
are kept in sync with the crate version.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+contains_regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+contains_regex-devel %{_description}

This package contains library source intended for building other packages which
use the "contains_regex" feature of the "%{crate}" crate.

%files       -n %{name}+contains_regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+html_root_url_updated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+html_root_url_updated-devel %{_description}

This package contains library source intended for building other packages which
use the "html_root_url_updated" feature of the "%{crate}" crate.

%files       -n %{name}+html_root_url_updated-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+markdown_deps_updated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+markdown_deps_updated-devel %{_description}

This package contains library source intended for building other packages which
use the "markdown_deps_updated" feature of the "%{crate}" crate.

%files       -n %{name}+markdown_deps_updated-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proc-macro2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proc-macro2-devel %{_description}

This package contains library source intended for building other packages which
use the "proc-macro2" feature of the "%{crate}" crate.

%files       -n %{name}+proc-macro2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pulldown-cmark-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pulldown-cmark-devel %{_description}

This package contains library source intended for building other packages which
use the "pulldown-cmark" feature of the "%{crate}" crate.

%files       -n %{name}+pulldown-cmark-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+semver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+semver-devel %{_description}

This package contains library source intended for building other packages which
use the "semver" feature of the "%{crate}" crate.

%files       -n %{name}+semver-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+syn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+syn-devel %{_description}

This package contains library source intended for building other packages which
use the "syn" feature of the "%{crate}" crate.

%files       -n %{name}+syn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages which
use the "toml" feature of the "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Sep 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.5-4
- Bump pulldown-cmark from 0.9 to 0.11 and toml from 0.7.8 to 0.8

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Oct 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.5-1
- Update to version 0.9.5; Fixes RHBZ#2238175

* Sat Aug 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-6
- Regenerate with rust2rpm v24

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-1
- Update to version 0.9.4; Fixes RHBZ#2032673

* Tue Nov 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-1
- Update to version 0.9.3; Fixes RHBZ#2006071

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Feb 14 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-1
- Update to version 0.9.2.
- Fixes RHBZ#1928396

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 11:59:11 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.1-2
- Update pulldown-cmark to 0.8

* Sat Aug 29 19:40:07 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 22 19:27:14 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.1-7
- Update pulldown-cmark to 0.7

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-5
- Fix tests with new toml

* Fri Sep 13 19:03:49 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.1-4
- Bump pulldown-cmark to 0.6

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 15:38:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-2
- Update pulldown-cmark to 0.5

* Thu Apr 04 08:15:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.5.0-8
- Adapt to new packaging

* Tue Sep 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-7
- Bump syn to 0.14

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 17 2018 Josh Stone <jistone@redhat.com> - 0.5.0-5
- Bump syn to 0.13

* Thu Mar 08 2018 Josh Stone <jistone@redhat.com> - 0.5.0-4
- Bump syn to 0.12

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-2
- Rebuild for rust-packaging v5

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Mon Nov 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Initial package

## END: Generated by rpmautospec
